@import 'mixins/mixins';
@import 'common/var';

@include b(message) {
  min-width: $--message-min-width;
  box-sizing: border-box;
  border-radius: $--border-radius-base;
  border-width: $--border-width-base;
  border-style: $--border-style-base;
  border-color: $--border-color-lighter;
  position: fixed;
  left: 50%;
  top: inherit !important;
  bottom: 20px;
  transform: translateX(-50%);
  background-color: $--message-background-color;
  transition: opacity 0.3s, transform 0.4s, top 0.4s;
  overflow: hidden;
  padding: $--message-padding;
  display: flex;
  align-items: center;
  justify-content: center;

  @media (min-width: 1199.98px) {
    top: 20px !important;
    bottom: inherit !important;
  }

  @include when(center) {
    justify-content: center;
  }

  @include when(closable) {
    .el-message__content {
      padding-right: 16px;
    }
  }

  p {
    margin: 0;
  }

  @include m(info) {
    // .el-message__content {
    //   color: $--message-info-font-color;
    // }
  }

  @include m(success) {
    background-color: #00ffb3;
    border-color: #00ffb3;

    // .el-message__content {
    //   color: $--message-success-font-color;
    // }
  }

  @include m(warning) {
    background-color: #fae34c;
    border-color: #fae34c;
  }

  @include m(error) {
    background-color: #dd5b5b;
    border-color: #dd5b5b;
  }

  @include e(icon) {
    margin-right: 10px;
    display: none;
  }

  @include e(content) {
    padding: 0;
    color: #333;
    font-size: 18px;
    font-weight: 500;
    line-height: 1;
    font-family: 'TT Interfaces', serif;
    &:focus {
      outline-width: 0;
    }
  }

  @include e(closeBtn) {
    position: absolute;
    top: 50%;
    right: 15px;
    transform: translateY(-50%);
    cursor: pointer;
    color: $--message-close-icon-color;
    font-size: $--message-close-size;

    &:focus {
      outline-width: 0;
    }
    &:hover {
      color: $--message-close-hover-color;
    }
  }

  & .el-icon-success {
    color: $--message-success-font-color;
  }

  & .el-icon-error {
    color: $--message-danger-font-color;
  }

  & .el-icon-info {
    color: $--message-info-font-color;
  }

  & .el-icon-warning {
    color: $--message-warning-font-color;
  }
}

.el-message-fade-enter,
.el-message-fade-leave-active {
  opacity: 0;
  transform: translate(-50%, -100%);
}
